published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
This resource provides the Identity Proofing Provider resource in Oracle Cloud Infrastructure Identity Domains service. Api doc link for the resource: https://docs.oracle.com/iaas/api/#/en/identity-domains/latest/IdentityProofingProvider
Example terraform configs related to the resource : https://github.com/oracle/terraform-provider-oci/tree/master/examples/identity_domains
Create an IdentityProofingProvider.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testIdentityProofingProvider = new oci.identity.DomainsIdentityProofingProvider("test_identity_proofing_provider", {
identityProofingProviderProvider: identityProofingProviderIdentityProofingProviderProvider,
claimMappings: [{
attrMatch: identityProofingProviderClaimMappingAttrMatch,
verifiableClaim: identityProofingProviderClaimMappingVerifiableClaim,
}],
configurations: [{
name: identityProofingProviderConfigurationName,
value: identityProofingProviderConfigurationValue,
}],
idcsEndpoint: testDomain.url,
name: identityProofingProviderName,
schemas: ["urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider"],
attributeSets: ["all"],
attributes: "",
authorization: identityProofingProviderAuthorization,
description: identityProofingProviderDescription,
ocid: identityProofingProviderOcid,
resourceTypeSchemaVersion: identityProofingProviderResourceTypeSchemaVersion,
runtimeDatas: [{
attrName: identityProofingProviderRuntimeDataAttrName,
attrValue: identityProofingProviderRuntimeDataAttrValue,
}],
status: identityProofingProviderStatus,
});
import pulumi
import pulumi_oci as oci
test_identity_proofing_provider = oci.identity.DomainsIdentityProofingProvider("test_identity_proofing_provider",
identity_proofing_provider_provider=identity_proofing_provider_identity_proofing_provider_provider,
claim_mappings=[{
"attr_match": identity_proofing_provider_claim_mapping_attr_match,
"verifiable_claim": identity_proofing_provider_claim_mapping_verifiable_claim,
}],
configurations=[{
"name": identity_proofing_provider_configuration_name,
"value": identity_proofing_provider_configuration_value,
}],
idcs_endpoint=test_domain["url"],
name=identity_proofing_provider_name,
schemas=["urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider"],
attribute_sets=["all"],
attributes="",
authorization=identity_proofing_provider_authorization,
description=identity_proofing_provider_description,
ocid=identity_proofing_provider_ocid,
resource_type_schema_version=identity_proofing_provider_resource_type_schema_version,
runtime_datas=[{
"attr_name": identity_proofing_provider_runtime_data_attr_name,
"attr_value": identity_proofing_provider_runtime_data_attr_value,
}],
status=identity_proofing_provider_status)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := identity.NewDomainsIdentityProofingProvider(ctx, "test_identity_proofing_provider", &identity.DomainsIdentityProofingProviderArgs{
IdentityProofingProviderProvider: pulumi.Any(identityProofingProviderIdentityProofingProviderProvider),
ClaimMappings: identity.DomainsIdentityProofingProviderClaimMappingArray{
&identity.DomainsIdentityProofingProviderClaimMappingArgs{
AttrMatch: pulumi.Any(identityProofingProviderClaimMappingAttrMatch),
VerifiableClaim: pulumi.Any(identityProofingProviderClaimMappingVerifiableClaim),
},
},
Configurations: identity.DomainsIdentityProofingProviderConfigurationArray{
&identity.DomainsIdentityProofingProviderConfigurationArgs{
Name: pulumi.Any(identityProofingProviderConfigurationName),
Value: pulumi.Any(identityProofingProviderConfigurationValue),
},
},
IdcsEndpoint: pulumi.Any(testDomain.Url),
Name: pulumi.Any(identityProofingProviderName),
Schemas: pulumi.StringArray{
pulumi.String("urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider"),
},
AttributeSets: pulumi.StringArray{
pulumi.String("all"),
},
Attributes: pulumi.String(""),
Authorization: pulumi.Any(identityProofingProviderAuthorization),
Description: pulumi.Any(identityProofingProviderDescription),
Ocid: pulumi.Any(identityProofingProviderOcid),
ResourceTypeSchemaVersion: pulumi.Any(identityProofingProviderResourceTypeSchemaVersion),
RuntimeDatas: identity.DomainsIdentityProofingProviderRuntimeDataArray{
&identity.DomainsIdentityProofingProviderRuntimeDataArgs{
AttrName: pulumi.Any(identityProofingProviderRuntimeDataAttrName),
AttrValue: pulumi.Any(identityProofingProviderRuntimeDataAttrValue),
},
},
Status: pulumi.Any(identityProofingProviderStatus),
})
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testIdentityProofingProvider = new Oci.Identity.DomainsIdentityProofingProvider("test_identity_proofing_provider", new()
{
IdentityProofingProviderProvider = identityProofingProviderIdentityProofingProviderProvider,
ClaimMappings = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderClaimMappingArgs
{
AttrMatch = identityProofingProviderClaimMappingAttrMatch,
VerifiableClaim = identityProofingProviderClaimMappingVerifiableClaim,
},
},
Configurations = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderConfigurationArgs
{
Name = identityProofingProviderConfigurationName,
Value = identityProofingProviderConfigurationValue,
},
},
IdcsEndpoint = testDomain.Url,
Name = identityProofingProviderName,
Schemas = new[]
{
"urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider",
},
AttributeSets = new[]
{
"all",
},
Attributes = "",
Authorization = identityProofingProviderAuthorization,
Description = identityProofingProviderDescription,
Ocid = identityProofingProviderOcid,
ResourceTypeSchemaVersion = identityProofingProviderResourceTypeSchemaVersion,
RuntimeDatas = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderRuntimeDataArgs
{
AttrName = identityProofingProviderRuntimeDataAttrName,
AttrValue = identityProofingProviderRuntimeDataAttrValue,
},
},
Status = identityProofingProviderStatus,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Identity.DomainsIdentityProofingProvider;
import com.pulumi.oci.Identity.DomainsIdentityProofingProviderArgs;
import com.pulumi.oci.Identity.inputs.DomainsIdentityProofingProviderClaimMappingArgs;
import com.pulumi.oci.Identity.inputs.DomainsIdentityProofingProviderConfigurationArgs;
import com.pulumi.oci.Identity.inputs.DomainsIdentityProofingProviderRuntimeDataArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var testIdentityProofingProvider = new DomainsIdentityProofingProvider("testIdentityProofingProvider", DomainsIdentityProofingProviderArgs.builder()
.identityProofingProviderProvider(identityProofingProviderIdentityProofingProviderProvider)
.claimMappings(DomainsIdentityProofingProviderClaimMappingArgs.builder()
.attrMatch(identityProofingProviderClaimMappingAttrMatch)
.verifiableClaim(identityProofingProviderClaimMappingVerifiableClaim)
.build())
.configurations(DomainsIdentityProofingProviderConfigurationArgs.builder()
.name(identityProofingProviderConfigurationName)
.value(identityProofingProviderConfigurationValue)
.build())
.idcsEndpoint(testDomain.url())
.name(identityProofingProviderName)
.schemas("urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider")
.attributeSets("all")
.attributes("")
.authorization(identityProofingProviderAuthorization)
.description(identityProofingProviderDescription)
.ocid(identityProofingProviderOcid)
.resourceTypeSchemaVersion(identityProofingProviderResourceTypeSchemaVersion)
.runtimeDatas(DomainsIdentityProofingProviderRuntimeDataArgs.builder()
.attrName(identityProofingProviderRuntimeDataAttrName)
.attrValue(identityProofingProviderRuntimeDataAttrValue)
.build())
.status(identityProofingProviderStatus)
.build());
}
}
resources:
testIdentityProofingProvider:
type: oci:Identity:DomainsIdentityProofingProvider
name: test_identity_proofing_provider
properties:
identityProofingProviderProvider: ${identityProofingProviderIdentityProofingProviderProvider}
claimMappings:
- attrMatch: ${identityProofingProviderClaimMappingAttrMatch}
verifiableClaim: ${identityProofingProviderClaimMappingVerifiableClaim}
configurations:
- name: ${identityProofingProviderConfigurationName}
value: ${identityProofingProviderConfigurationValue}
idcsEndpoint: ${testDomain.url}
name: ${identityProofingProviderName}
schemas:
- urn:ietf:params:scim:schemas:oracle:idcs:IdentityProofingProvider
attributeSets:
- all
attributes: ""
authorization: ${identityProofingProviderAuthorization}
description: ${identityProofingProviderDescription}
ocid: ${identityProofingProviderOcid}
resourceTypeSchemaVersion: ${identityProofingProviderResourceTypeSchemaVersion}
runtimeDatas:
- attrName: ${identityProofingProviderRuntimeDataAttrName}
attrValue: ${identityProofingProviderRuntimeDataAttrValue}
status: ${identityProofingProviderStatus}
Create DomainsIdentityProofingProvider Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new DomainsIdentityProofingProvider(name: string, args: DomainsIdentityProofingProviderArgs, opts?: CustomResourceOptions);@overload
def DomainsIdentityProofingProvider(resource_name: str,
args: DomainsIdentityProofingProviderArgs,
opts: Optional[ResourceOptions] = None)
@overload
def DomainsIdentityProofingProvider(resource_name: str,
opts: Optional[ResourceOptions] = None,
idcs_endpoint: Optional[str] = None,
schemas: Optional[Sequence[str]] = None,
identity_proofing_provider_provider: Optional[str] = None,
claim_mappings: Optional[Sequence[DomainsIdentityProofingProviderClaimMappingArgs]] = None,
configurations: Optional[Sequence[DomainsIdentityProofingProviderConfigurationArgs]] = None,
description: Optional[str] = None,
name: Optional[str] = None,
attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
ocid: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
runtime_datas: Optional[Sequence[DomainsIdentityProofingProviderRuntimeDataArgs]] = None,
authorization: Optional[str] = None,
status: Optional[str] = None)func NewDomainsIdentityProofingProvider(ctx *Context, name string, args DomainsIdentityProofingProviderArgs, opts ...ResourceOption) (*DomainsIdentityProofingProvider, error)public DomainsIdentityProofingProvider(string name, DomainsIdentityProofingProviderArgs args, CustomResourceOptions? opts = null)
public DomainsIdentityProofingProvider(String name, DomainsIdentityProofingProviderArgs args)
public DomainsIdentityProofingProvider(String name, DomainsIdentityProofingProviderArgs args, CustomResourceOptions options)
type: oci:Identity:DomainsIdentityProofingProvider
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args DomainsIdentityProofingProviderArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args DomainsIdentityProofingProviderArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args DomainsIdentityProofingProviderArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var domainsIdentityProofingProviderResource = new Oci.Identity.DomainsIdentityProofingProvider("domainsIdentityProofingProviderResource", new()
{
IdcsEndpoint = "string",
Schemas = new[]
{
"string",
},
IdentityProofingProviderProvider = "string",
ClaimMappings = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderClaimMappingArgs
{
AttrMatch = "string",
VerifiableClaim = "string",
},
},
Configurations = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderConfigurationArgs
{
Name = "string",
Value = "string",
},
},
Description = "string",
Name = "string",
AttributeSets = new[]
{
"string",
},
Attributes = "string",
Ocid = "string",
ResourceTypeSchemaVersion = "string",
RuntimeDatas = new[]
{
new Oci.Identity.Inputs.DomainsIdentityProofingProviderRuntimeDataArgs
{
AttrName = "string",
AttrValue = "string",
},
},
Authorization = "string",
Status = "string",
});
example, err := identity.NewDomainsIdentityProofingProvider(ctx, "domainsIdentityProofingProviderResource", &identity.DomainsIdentityProofingProviderArgs{
IdcsEndpoint: pulumi.String("string"),
Schemas: pulumi.StringArray{
pulumi.String("string"),
},
IdentityProofingProviderProvider: pulumi.String("string"),
ClaimMappings: identity.DomainsIdentityProofingProviderClaimMappingArray{
&identity.DomainsIdentityProofingProviderClaimMappingArgs{
AttrMatch: pulumi.String("string"),
VerifiableClaim: pulumi.String("string"),
},
},
Configurations: identity.DomainsIdentityProofingProviderConfigurationArray{
&identity.DomainsIdentityProofingProviderConfigurationArgs{
Name: pulumi.String("string"),
Value: pulumi.String("string"),
},
},
Description: pulumi.String("string"),
Name: pulumi.String("string"),
AttributeSets: pulumi.StringArray{
pulumi.String("string"),
},
Attributes: pulumi.String("string"),
Ocid: pulumi.String("string"),
ResourceTypeSchemaVersion: pulumi.String("string"),
RuntimeDatas: identity.DomainsIdentityProofingProviderRuntimeDataArray{
&identity.DomainsIdentityProofingProviderRuntimeDataArgs{
AttrName: pulumi.String("string"),
AttrValue: pulumi.String("string"),
},
},
Authorization: pulumi.String("string"),
Status: pulumi.String("string"),
})
var domainsIdentityProofingProviderResource = new DomainsIdentityProofingProvider("domainsIdentityProofingProviderResource", DomainsIdentityProofingProviderArgs.builder()
.idcsEndpoint("string")
.schemas("string")
.identityProofingProviderProvider("string")
.claimMappings(DomainsIdentityProofingProviderClaimMappingArgs.builder()
.attrMatch("string")
.verifiableClaim("string")
.build())
.configurations(DomainsIdentityProofingProviderConfigurationArgs.builder()
.name("string")
.value("string")
.build())
.description("string")
.name("string")
.attributeSets("string")
.attributes("string")
.ocid("string")
.resourceTypeSchemaVersion("string")
.runtimeDatas(DomainsIdentityProofingProviderRuntimeDataArgs.builder()
.attrName("string")
.attrValue("string")
.build())
.authorization("string")
.status("string")
.build());
domains_identity_proofing_provider_resource = oci.identity.DomainsIdentityProofingProvider("domainsIdentityProofingProviderResource",
idcs_endpoint="string",
schemas=["string"],
identity_proofing_provider_provider="string",
claim_mappings=[{
"attr_match": "string",
"verifiable_claim": "string",
}],
configurations=[{
"name": "string",
"value": "string",
}],
description="string",
name="string",
attribute_sets=["string"],
attributes="string",
ocid="string",
resource_type_schema_version="string",
runtime_datas=[{
"attr_name": "string",
"attr_value": "string",
}],
authorization="string",
status="string")
const domainsIdentityProofingProviderResource = new oci.identity.DomainsIdentityProofingProvider("domainsIdentityProofingProviderResource", {
idcsEndpoint: "string",
schemas: ["string"],
identityProofingProviderProvider: "string",
claimMappings: [{
attrMatch: "string",
verifiableClaim: "string",
}],
configurations: [{
name: "string",
value: "string",
}],
description: "string",
name: "string",
attributeSets: ["string"],
attributes: "string",
ocid: "string",
resourceTypeSchemaVersion: "string",
runtimeDatas: [{
attrName: "string",
attrValue: "string",
}],
authorization: "string",
status: "string",
});
type: oci:Identity:DomainsIdentityProofingProvider
properties:
attributeSets:
- string
attributes: string
authorization: string
claimMappings:
- attrMatch: string
verifiableClaim: string
configurations:
- name: string
value: string
description: string
idcsEndpoint: string
identityProofingProviderProvider: string
name: string
ocid: string
resourceTypeSchemaVersion: string
runtimeDatas:
- attrName: string
attrValue: string
schemas:
- string
status: string
DomainsIdentityProofingProvider Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The DomainsIdentityProofingProvider resource accepts the following input properties:
- Claim
Mappings List<DomainsIdentity Proofing Provider Claim Mapping> (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- Configurations
List<Domains
Identity Proofing Provider Configuration> (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- Schemas List<string>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Attribute
Sets List<string> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Description string
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Name string
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Runtime
Datas List<DomainsIdentity Proofing Provider Runtime Data> (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Status string
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Claim
Mappings []DomainsIdentity Proofing Provider Claim Mapping Args (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- Configurations
[]Domains
Identity Proofing Provider Configuration Args (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- Schemas []string
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Attribute
Sets []string - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Description string
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Name string
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Runtime
Datas []DomainsIdentity Proofing Provider Runtime Data Args (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Status string
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- claim
Mappings List<DomainsProofing Provider Claim Mapping> (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- configurations
List<Domains
Proofing Provider Configuration> (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- schemas List<String>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- description String
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- name String
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- runtime
Datas List<DomainsProofing Provider Runtime Data> (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- status String
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- claim
Mappings DomainsIdentity Proofing Provider Claim Mapping[] (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- configurations
Domains
Identity Proofing Provider Configuration[] (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- idcs
Endpoint string - The basic endpoint for the identity domain
- identity
Proofing stringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- schemas string[]
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- attribute
Sets string[] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- description string
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- name string
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- runtime
Datas DomainsIdentity Proofing Provider Runtime Data[] (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- status string
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- claim_
mappings Sequence[DomainsIdentity Proofing Provider Claim Mapping Args] (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- configurations
Sequence[Domains
Identity Proofing Provider Configuration Args] (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- idcs_
endpoint str - The basic endpoint for the identity domain
- identity_
proofing_ strprovider_ provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- schemas Sequence[str]
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- attribute_
sets Sequence[str] - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- description str
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- name str
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- ocid str
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource_
type_ strschema_ version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- runtime_
datas Sequence[DomainsIdentity Proofing Provider Runtime Data Args] (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- status str
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- claim
Mappings List<Property Map> (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- configurations List<Property Map>
(Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- schemas List<String>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- description String
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- name String
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- runtime
Datas List<Property Map> (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- status String
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
Outputs
All input properties are implicitly available as output properties. Additionally, the DomainsIdentityProofingProvider resource produces the following output properties:
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Created List<DomainsBies Identity Proofing Provider Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Last List<DomainsModified Bies Identity Proofing Provider Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked List<DomainsBies Identity Proofing Provider Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked List<string>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented List<string>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Metas
List<Domains
Identity Proofing Provider Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Id string
- The provider-assigned unique ID for this managed resource.
- Idcs
Created []DomainsBies Identity Proofing Provider Idcs Created By (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Last []DomainsModified Bies Identity Proofing Provider Idcs Last Modified By (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked []DomainsBies Identity Proofing Provider Idcs Locked By (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked []stringOperations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented []stringOperations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Metas
[]Domains
Identity Proofing Provider Meta (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Created List<DomainsBies Proofing Provider Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last List<DomainsModified Bies Proofing Provider Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<DomainsBies Proofing Provider Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
List<Domains
Proofing Provider Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid String (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In booleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id string
- The provider-assigned unique ID for this managed resource.
- idcs
Created DomainsBies Identity Proofing Provider Idcs Created By[] (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last DomainsModified Bies Identity Proofing Provider Idcs Last Modified By[] (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked DomainsBies Identity Proofing Provider Idcs Locked By[] (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked string[]Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented string[]Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
Domains
Identity Proofing Provider Meta[] (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- compartment_
ocid str (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete_
in_ boolprogress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain_
ocid str (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id str
- The provider-assigned unique ID for this managed resource.
- idcs_
created_ Sequence[Domainsbies Identity Proofing Provider Idcs Created By] (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs_
last_ Sequence[Domainsmodified_ bies Identity Proofing Provider Idcs Last Modified By] (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs_
last_ strupgraded_ in_ release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs_
locked_ Sequence[Domainsbies Identity Proofing Provider Idcs Locked By] (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs_
locked_ stron (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs_
locked_ Sequence[str]operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs_
prevented_ Sequence[str]operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas
Sequence[Domains
Identity Proofing Provider Meta] (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy_
ocid str (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- id String
- The provider-assigned unique ID for this managed resource.
- idcs
Created List<Property Map>Bies (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Last List<Property Map>Modified Bies (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<Property Map>Bies (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- metas List<Property Map>
(Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- tenancy
Ocid String (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
Look up Existing DomainsIdentityProofingProvider Resource
Get an existing DomainsIdentityProofingProvider resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: DomainsIdentityProofingProviderState, opts?: CustomResourceOptions): DomainsIdentityProofingProvider@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
claim_mappings: Optional[Sequence[DomainsIdentityProofingProviderClaimMappingArgs]] = None,
compartment_ocid: Optional[str] = None,
configurations: Optional[Sequence[DomainsIdentityProofingProviderConfigurationArgs]] = None,
delete_in_progress: Optional[bool] = None,
description: Optional[str] = None,
domain_ocid: Optional[str] = None,
idcs_created_bies: Optional[Sequence[DomainsIdentityProofingProviderIdcsCreatedByArgs]] = None,
idcs_endpoint: Optional[str] = None,
idcs_last_modified_bies: Optional[Sequence[DomainsIdentityProofingProviderIdcsLastModifiedByArgs]] = None,
idcs_last_upgraded_in_release: Optional[str] = None,
idcs_locked_bies: Optional[Sequence[DomainsIdentityProofingProviderIdcsLockedByArgs]] = None,
idcs_locked_on: Optional[str] = None,
idcs_locked_operations: Optional[Sequence[str]] = None,
idcs_prevented_operations: Optional[Sequence[str]] = None,
identity_proofing_provider_provider: Optional[str] = None,
metas: Optional[Sequence[DomainsIdentityProofingProviderMetaArgs]] = None,
name: Optional[str] = None,
ocid: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
runtime_datas: Optional[Sequence[DomainsIdentityProofingProviderRuntimeDataArgs]] = None,
schemas: Optional[Sequence[str]] = None,
status: Optional[str] = None,
tenancy_ocid: Optional[str] = None) -> DomainsIdentityProofingProviderfunc GetDomainsIdentityProofingProvider(ctx *Context, name string, id IDInput, state *DomainsIdentityProofingProviderState, opts ...ResourceOption) (*DomainsIdentityProofingProvider, error)public static DomainsIdentityProofingProvider Get(string name, Input<string> id, DomainsIdentityProofingProviderState? state, CustomResourceOptions? opts = null)public static DomainsIdentityProofingProvider get(String name, Output<String> id, DomainsIdentityProofingProviderState state, CustomResourceOptions options)resources: _: type: oci:Identity:DomainsIdentityProofingProvider get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Attribute
Sets List<string> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Claim
Mappings List<DomainsIdentity Proofing Provider Claim Mapping> (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Configurations
List<Domains
Identity Proofing Provider Configuration> (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Description string
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Created List<DomainsBies Identity Proofing Provider Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last List<DomainsModified Bies Identity Proofing Provider Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked List<DomainsBies Identity Proofing Provider Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked List<string>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented List<string>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Identity
Proofing stringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- Metas
List<Domains
Identity Proofing Provider Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Name string
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Runtime
Datas List<DomainsIdentity Proofing Provider Runtime Data> (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Schemas List<string>
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Status string
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- Attribute
Sets []string - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Claim
Mappings []DomainsIdentity Proofing Provider Claim Mapping Args (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- Compartment
Ocid string (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Configurations
[]Domains
Identity Proofing Provider Configuration Args (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- Delete
In boolProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- Description string
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Domain
Ocid string (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Created []DomainsBies Identity Proofing Provider Idcs Created By Args (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Idcs
Last []DomainsModified Bies Identity Proofing Provider Idcs Last Modified By Args (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Last stringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Idcs
Locked []DomainsBies Identity Proofing Provider Idcs Locked By Args (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- Idcs
Locked stringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- Idcs
Locked []stringOperations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Idcs
Prevented []stringOperations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- Identity
Proofing stringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- Metas
[]Domains
Identity Proofing Provider Meta Args (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- Name string
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- Ocid string
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- Resource
Type stringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Runtime
Datas []DomainsIdentity Proofing Provider Runtime Data Args (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- Schemas []string
(Updatable) REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: true
- mutability: readWrite
- required: true
- returned: default
- type: string
- uniqueness: none
- Status string
(Updatable) Status of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- caseExact: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- Tenancy
Ocid string (Updatable) Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
** IMPORTANT ** Any change to a property that does not support update will force the destruction and recreation of the resource with the new property values
- attribute
Sets List<String> - (Updatable) A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- (Updatable) A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- (Updatable) The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- claim
Mappings List<DomainsProofing Provider Claim Mapping> (Updatable) Configure the verification claims and IAM Domain user attribute mapping.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [verifiableClaim]
- type: complex
- uniqueness: server
- compartment
Ocid String (Updatable) Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- configurations
List<Domains
Proofing Provider Configuration> (Updatable) Configure the verification provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: immutable
- required: true
- returned: always
- idcsCompositeKey: [name]
- type: complex
- uniqueness: server
- delete
In BooleanProgress (Updatable) A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: boolean
- uniqueness: none
- description String
(Updatable) Description field to add comments and additional information about the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- domain
Ocid String (Updatable) Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Created List<DomainsBies Proofing Provider Idcs Created By> (Updatable) The User or App who created the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: true
- returned: default
- type: complex
- idcs
Endpoint String - The basic endpoint for the identity domain
- idcs
Last List<DomainsModified Bies Proofing Provider Idcs Last Modified By> (Updatable) The User or App who modified the Resource
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Last StringUpgraded In Release (Updatable) The release number when the resource was upgraded.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- idcs
Locked List<DomainsBies Proofing Provider Idcs Locked By> (Updatable) The User or App who locked the Resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: complex
- idcs
Locked StringOn (Updatable) The most recent DateTime the resource was locked.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: false
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- type: dateTime
- uniqueness: none
- idcs
Locked List<String>Operations (Updatable) Operations that are locked on the resource.
SCIM++ Properties:
- idcsSearchable: false
- idcsCsvAttributeNameMappings: [[columnHeaderName:Locked Operations, multiValueDelimiter:;]]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: string
- uniqueness: none
- idcs
Prevented List<String>Operations (Updatable) Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: true
- mutability: readOnly
- required: false
- returned: request
- type: string
- uniqueness: none
- identity
Proofing StringProvider Provider (Updatable) The Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: true
- multiValued: false
- mutability: readWrite
- idcsCanonicalValueSourceFilter: provider eq "$(provider)"
- idcsCanonicalValueSourceResourceType: IdentityProofingProviderTemplate
- caseExact: true
- required: true
- returned: always
- type: string
- uniqueness: none
- metas
List<Domains
Proofing Provider Meta> (Updatable) A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
SCIM++ Properties:
- caseExact: false
- idcsSearchable: true
- multiValued: false
- mutability: readOnly
- required: false
- returned: default
- idcsCsvAttributeNameMappings: [[columnHeaderName:Created Date, mapsTo:meta.created]]
- type: complex
- name String
(Updatable) Name of the Identity Proofing Provider.
SCIM++ Properties:
- idcsSearchable: false
- multiValued: false
- mutability: readWrite
- required: true
- returned: always
- type: string
- uniqueness: global
- ocid String
(Updatable) Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
SCIM++ Properties:
- caseExact: true
- idcsSearchable: true
- multiValued: false
- mutability: immutable
- required: false
- returned: default
- type: string
- uniqueness: global
- resource
Type StringSchema Version - (Updatable) An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- runtime
Datas List<DomainsProofing Provider Runtime Data> (Updatable) Identity Proofing runtime custom data.
Added In: 2505161800
SCIM++ Properties:
- idcsCompositeKey: [attrName]
- multiValued: true
- mutability: readWrite
- required: false
- returned: default
- type: complex
- schemas List<String>
[...]
